Beispiel #1
0
        public static Dictionary <string, object> GetLeaderEnds(global::Revit.Elements.Element grid, global::Revit.Elements.Views.View view)
        {
            //convert to internal representation
            Autodesk.Revit.DB.DatumPlane internalGrid = (Autodesk.Revit.DB.DatumPlane)grid.InternalElement;
            //get the leader ends.
            Autodesk.Revit.DB.Leader leaderEnd0 = internalGrid.GetLeader(Autodesk.Revit.DB.DatumEnds.End0, (Autodesk.Revit.DB.View)view.InternalElement);
            Autodesk.Revit.DB.Leader leaderEnd1 = internalGrid.GetLeader(Autodesk.Revit.DB.DatumEnds.End1, (Autodesk.Revit.DB.View)view.InternalElement);

            //returns the outputs
            var outInfo = new Dictionary <string, object>
            {
                { "leaderEnd0", leaderEnd0 },
                { "leaderEnd1", leaderEnd1 }
            };

            return(outInfo);
        }
Beispiel #2
0
 public DatumPlane(Autodesk.Revit.DB.DatumPlane plane) : base(plane)
 {
 }